vgp.tutor.avlTree

## Class PjAvlTree

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.tutor.avlTree.PjAvlTree

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjAvlTree
      extends PjProject

  Tutorial project for testing AVL Tree.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    08.11.16, 1.10 revised (kp) Code tuned.
    26.04.13, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjAvlTree()` Construct a new Aperiodic Tiling project.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeGeom()` Compute tree geometry.
    `void` | `init()` Initializes the project.
    `void` | `insert(java.lang.String name)` Insert a new node into the tree.
    `void` | `remove(java.lang.String name)` Remove a node from the tree.
    `void` | `start()` Start project, e.g. start an animation.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickInitial, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjAvlTree

          public PjAvlTree()

      Construct a new Aperiodic Tiling project.

  - ### Method Detail

    - #### init

          public void init()

      Initializes the project.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Start project, e.g. start an animation. Method is called once when project is selected in PvViewer#selectProject(). Method is optional. For example, if an applet calls the start() method of PvViewer, then PvViewer tries to invoke the start() method of the currently selected project.
      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### insert

          public void insert(java.lang.String name)

      Insert a new node into the tree.

    - #### remove

          public void remove(java.lang.String name)

      Remove a node from the tree.

    - #### computeGeom

          public void computeGeom()

      Compute tree geometry.

"

The software JavaView? is copyright protected. All Rights Reserved.
"